import { Button, Drawer, Form, Modal, Space } from "antd"
import React, { useState } from "react"
import AddEdit from "./addEdit"



/**
 * 监控预警
 * @returns 
 */
const EarlyWarning: React.FC = () => {

    /**************************/
    const [visible, setVisible] = useState<boolean>(false)
    const [addVisible, setAddVisible] = useState<boolean>(true)
    /**************************/


    return <>
        <Button type="primary" onClick={() => setVisible(true)}>监控预警</Button>

        {/* 预警列表 */}
        {visible && <Drawer
            title="监控预警"
            placement="right"
            onClose={() => setVisible(false)}
            visible={visible}
            width='800px'
        >
            <Space direction="vertical">
                <Button type="primary" onClick={() => setAddVisible(true)}>设置预警</Button>
            </Space>
        </Drawer>}

        {/* 设置预警 */}
        {addVisible && <AddEdit visible={addVisible} onClose={() => setAddVisible(false)} />}
    </>
}

export default React.memo(EarlyWarning)